Index: x11/xorg-libXext/Portfile
===================================================================
--- x11/xorg-libXext/Portfile	(revision 45652)
+++ x11/xorg-libXext/Portfile	(working copy)
@@ -32,8 +32,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXext.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-xcb-util/Portfile
===================================================================
--- x11/xorg-xcb-util/Portfile	(revision 45652)
+++ x11/xorg-xcb-util/Portfile	(working copy)
@@ -29,8 +29,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libxcb-render-util.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXevie/Portfile
===================================================================
--- x11/xorg-libXevie/Portfile	(revision 45652)
+++ x11/xorg-libXevie/Portfile	(working copy)
@@ -41,8 +41,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXevie.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/mesa/Portfile
===================================================================
--- x11/mesa/Portfile	(revision 45652)
+++ x11/mesa/Portfile	(working copy)
@@ -56,9 +56,14 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libGLU.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		distfiles
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		patch		{ }
 		build           { }
 		destroot        {
Index: x11/xorg-libxcb/Portfile
===================================================================
--- x11/xorg-libxcb/Portfile	(revision 45652)
+++ x11/xorg-libxcb/Portfile	(working copy)
@@ -40,8 +40,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libxcb.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXdamage/Portfile
===================================================================
--- x11/xorg-libXdamage/Portfile	(revision 45652)
+++ x11/xorg-libXdamage/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXdamage.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/Xft2/Portfile
===================================================================
--- x11/Xft2/Portfile	(revision 45652)
+++ x11/Xft2/Portfile	(working copy)
@@ -50,8 +50,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXft.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXxf86vm/Portfile
===================================================================
--- x11/xorg-libXxf86vm/Portfile	(revision 45652)
+++ x11/xorg-libXxf86vm/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXxf86vm.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libice/Portfile
===================================================================
--- x11/xorg-libice/Portfile	(revision 45652)
+++ x11/xorg-libice/Portfile	(working copy)
@@ -31,8 +31,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libICE.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libdmx/Portfile
===================================================================
--- x11/xorg-libdmx/Portfile	(revision 45652)
+++ x11/xorg-libdmx/Portfile	(working copy)
@@ -35,8 +35,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libdmx.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXcomposite/Portfile
===================================================================
--- x11/xorg-libXcomposite/Portfile	(revision 45652)
+++ x11/xorg-libXcomposite/Portfile	(working copy)
@@ -34,8 +34,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXcomposite.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libAppleWM/Portfile
===================================================================
--- x11/xorg-libAppleWM/Portfile	(revision 45652)
+++ x11/xorg-libAppleWM/Portfile	(working copy)
@@ -42,9 +42,14 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libAppleWM.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		distfiles
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXfixes/Portfile
===================================================================
--- x11/xorg-libXfixes/Portfile	(revision 45652)
+++ x11/xorg-libXfixes/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXfixes.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXvMC/Portfile
===================================================================
--- x11/xorg-libXvMC/Portfile	(revision 45652)
+++ x11/xorg-libXvMC/Portfile	(working copy)
@@ -32,8 +32,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXvMC.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXdmcp/Portfile
===================================================================
--- x11/xorg-libXdmcp/Portfile	(revision 45652)
+++ x11/xorg-libXdmcp/Portfile	(working copy)
@@ -27,8 +27,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXdmcp.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXxf86dga/Portfile
===================================================================
--- x11/xorg-libXxf86dga/Portfile	(revision 45652)
+++ x11/xorg-libXxf86dga/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXxf86dga.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXres/Portfile
===================================================================
--- x11/xorg-libXres/Portfile	(revision 45652)
+++ x11/xorg-libXres/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXres.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXfontcache/Portfile
===================================================================
--- x11/xorg-libXfontcache/Portfile	(revision 45652)
+++ x11/xorg-libXfontcache/Portfile	(working copy)
@@ -35,8 +35,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXfontcache.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libfontenc/Portfile
===================================================================
--- x11/xorg-libfontenc/Portfile	(revision 45652)
+++ x11/xorg-libfontenc/Portfile	(working copy)
@@ -30,8 +30,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libfontenc.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXrandr/Portfile
===================================================================
--- x11/xorg-libXrandr/Portfile	(revision 45652)
+++ x11/xorg-libXrandr/Portfile	(working copy)
@@ -36,8 +36,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXrandr.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXScrnSaver/Portfile
===================================================================
--- x11/xorg-libXScrnSaver/Portfile	(revision 45652)
+++ x11/xorg-libXScrnSaver/Portfile	(working copy)
@@ -32,8 +32,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXss.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libxkbui/Portfile
===================================================================
--- x11/xorg-libxkbui/Portfile	(revision 45652)
+++ x11/xorg-libxkbui/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libxkbui.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXtst/Portfile
===================================================================
--- x11/xorg-libXtst/Portfile	(revision 45652)
+++ x11/xorg-libXtst/Portfile	(working copy)
@@ -34,8 +34,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXtst.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xpm/Portfile
===================================================================
--- x11/xpm/Portfile	(revision 45652)
+++ x11/xpm/Portfile	(working copy)
@@ -30,8 +30,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXpm.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXcursor/Portfile
===================================================================
--- x11/xorg-libXcursor/Portfile	(revision 45652)
+++ x11/xorg-libXcursor/Portfile	(working copy)
@@ -35,8 +35,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXcursor.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libsm/Portfile
===================================================================
--- x11/xorg-libsm/Portfile	(revision 45652)
+++ x11/xorg-libsm/Portfile	(working copy)
@@ -38,8 +38,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libSM.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libxkbfile/Portfile
===================================================================
--- x11/xorg-libxkbfile/Portfile	(revision 45652)
+++ x11/xorg-libxkbfile/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libxkbfile.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXfont/Portfile
===================================================================
--- x11/xorg-libXfont/Portfile	(revision 45652)
+++ x11/xorg-libXfont/Portfile	(working copy)
@@ -43,8 +43,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXfont.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		patch		{ }
 		build           { }
 		destroot        {
Index: x11/xorg-libFS/Portfile
===================================================================
--- x11/xorg-libFS/Portfile	(revision 45652)
+++ x11/xorg-libFS/Portfile	(working copy)
@@ -30,8 +30,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libFS.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libX11/Portfile
===================================================================
--- x11/xorg-libX11/Portfile	(revision 45652)
+++ x11/xorg-libX11/Portfile	(working copy)
@@ -44,8 +44,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libX11.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXmu/Portfile
===================================================================
--- x11/xorg-libXmu/Portfile	(revision 45652)
+++ x11/xorg-libXmu/Portfile	(working copy)
@@ -35,8 +35,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXmu.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xrender/Portfile
===================================================================
--- x11/xrender/Portfile	(revision 45652)
+++ x11/xrender/Portfile	(working copy)
@@ -74,8 +74,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXrender.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXTrap/Portfile
===================================================================
--- x11/xorg-libXTrap/Portfile	(revision 45652)
+++ x11/xorg-libXTrap/Portfile	(working copy)
@@ -35,8 +35,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXTrap.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-liboldX/Portfile
===================================================================
--- x11/xorg-liboldX/Portfile	(revision 45652)
+++ x11/xorg-liboldX/Portfile	(working copy)
@@ -30,8 +30,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/liboldX.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXi/Portfile
===================================================================
--- x11/xorg-libXi/Portfile	(revision 45652)
+++ x11/xorg-libXi/Portfile	(working copy)
@@ -32,8 +32,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXi.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-liblbxutil/Portfile
===================================================================
--- x11/xorg-liblbxutil/Portfile	(revision 45652)
+++ x11/xorg-liblbxutil/Portfile	(working copy)
@@ -41,8 +41,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/liblbxutil.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXp/Portfile
===================================================================
--- x11/xorg-libXp/Portfile	(revision 45652)
+++ x11/xorg-libXp/Portfile	(working copy)
@@ -40,8 +40,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXp.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXt/Portfile
===================================================================
--- x11/xorg-libXt/Portfile	(revision 45652)
+++ x11/xorg-libXt/Portfile	(working copy)
@@ -36,8 +36,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXt.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXau/Portfile
===================================================================
--- x11/xorg-libXau/Portfile	(revision 45652)
+++ x11/xorg-libXau/Portfile	(working copy)
@@ -29,8 +29,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXau.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXv/Portfile
===================================================================
--- x11/xorg-libXv/Portfile	(revision 45652)
+++ x11/xorg-libXv/Portfile	(working copy)
@@ -32,8 +32,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXv.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXaw/Portfile
===================================================================
--- x11/xorg-libXaw/Portfile	(revision 45652)
+++ x11/xorg-libXaw/Portfile	(working copy)
@@ -47,10 +47,15 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXaw.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		use_autoreconf	no
 		patch		{ }		
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXxf86misc/Portfile
===================================================================
--- x11/xorg-libXxf86misc/Portfile	(revision 45652)
+++ x11/xorg-libXxf86misc/Portfile	(working copy)
@@ -36,8 +36,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXxf86misc.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}
Index: x11/xorg-libXinerama/Portfile
===================================================================
--- x11/xorg-libXinerama/Portfile	(revision 45652)
+++ x11/xorg-libXinerama/Portfile	(working copy)
@@ -33,8 +33,13 @@
 
 variant system_x11 description {Install a stub package to use the system X11 libraries rather than MacPorts} {
 	if { [file exists ${x11prefix}/lib/libXinerama.dylib] && ! [string equal ${prefix} ${x11prefix}] } {
+		depends_build
+		depends_lib
+		depends_run
 		fetch           { }
 		checksum        { }
+		extract         { }
+		patch           { }
 		build           { }
 		destroot        {
 			xinstall -d ${destroot}${prefix}/share/doc/${name}