Index: dports/PortIndex
===================================================================
--- dports/PortIndex	(revision 46966)
+++ dports/PortIndex	(working copy)
@@ -3394,8 +3394,8 @@
 description {JDBC driver that can log SQL and/or JDBC calls} portdir java/log4jdbc homepage http://log4jdbc.sourceforge.net/ epoch 0 platforms darwin name log4jdbc depends_lib {bin:java:kaffe port:slf4j} maintainers blair long_description {Log4jdbc is a Java JDBC driver that can log SQL and/or JDBC calls (and optionally SQL timing information) for other JDBC drivers using the Simple Logging Facade For Java (SLF4J) logging {	} system.} version 1.1 categories java revision 0
 maven 665
 variants devel depends_build {bin:java:kaffe bin:ant:apache-ant} portdir java/maven description {A java-based build and project management environment.} homepage http://maven.apache.org/ epoch 0 platforms darwin name maven maintainers {jberry openmaintainer} long_description {Maven is a Java project management and project comprehension tool. Maven is based on the concept of a project object model (POM) in that all the artifacts produced by Maven are a result of consulting a well defined model for your project. Builds, documentation, source metrics, and source cross-references are all controlled by your POM.} version 1.0.2 categories {java devel} revision 0
-maven2 732
-depends_build bin:java:kaffe description {A java-based build and project management environment.} portdir java/maven2 homepage http://maven.apache.org/ epoch 0 platforms darwin name maven2 maintainers gk5885@kickstyle.net long_description {Maven is a Java project management and project comprehension tool. Maven is based on the concept of a project object model (POM) in that all the artifacts produced by Maven are a result of consulting a well defined model for your project. Builds, documentation, source metrics, and source cross-references are all controlled by your POM. Maven 2.0 is a complete rewrite of Maven 1.0 and as such is better organized, faster and easier to use.} version 2.0.9 categories {java devel} revision 0
+maven2 733
+depends_build bin:java:kaffe description {A java-based build and project management environment.} portdir java/maven2 homepage http://maven.apache.org/ epoch 0 platforms darwin name maven2 maintainers gk5885@kickstyle.net long_description {Maven is a Java project management and project comprehension tool. Maven is based on the concept of a project object model (POM) in that all the artifacts produced by Maven are a result of consulting a well defined model for your project. Builds, documentation, source metrics, and source cross-references are all controlled by your POM. Maven 2.0 is a complete rewrite of Maven 1.0 and as such is better organized, faster and easier to use.} version 2.0.10 categories {java devel} revision 0
 mx4j 563
 depends_build bin:ant:apache-ant portdir java/mx4j description {Open Source JMX for Enterprise Computing.} homepage http://mx4j.sourceforge.net/ epoch 0 platforms darwin name mx4j depends_lib {bin:java:kaffe port:junit port:jakarta-bcel port:jakarta-log4j port:commons-logging} maintainers {jberry openmaintainer} long_description {MX4J is a project to build an Open Source implementation of the Java(TM) Management Extensions (JMX) and of the JMX Remote API (JSR 160) specifications, and to build tools relating to JMX.} version 3.0.1 categories java revision 0
 mysql-connector-java 862
@@ -4701,7 +4701,7 @@
 cfourcc 310
 portdir multimedia/cfourcc description {change avi fourcc codes} platforms darwin name cfourcc version 0.1.2 categories multimedia homepage http://sarovar.org/projects/gfourcc/ revision 0 epoch 0 maintainers avc-cvut.cz:petr.vacek long_description {Command-line utility for changing FOURCC codes in AVI files}
 dirac 664
-variants doc variant_desc {doc {Build Dirac reference documentation}} portdir multimedia/dirac description {Dirac is a general-purpose video codec aimed at resolutions from QCIF (176x144) to HDTV (1920x1080) progressive or interlaced.} homepage http://diracvideo.org/ epoch 0 platforms darwin name dirac depends_lib port:cppunit maintainers devans long_description {Dirac is a general-purpose video codec aimed at resolutions from QCIF (176x144) to HDTV (1920x1080) progressive or interlaced. It uses wavelets, motion compensation and arithmetic coding and aims to be competitive with other state of the art codecs.} version 1.0.0 categories multimedia revision 1
+variants doc variant_desc {doc {Build Dirac reference documentation}} portdir multimedia/dirac description {Dirac is a general-purpose video codec aimed at resolutions from QCIF (176x144) to HDTV (1920x1080) progressive or interlaced.} homepage http://diracvideo.org/ epoch 0 platforms darwin name dirac depends_lib port:cppunit maintainers devans long_description {Dirac is a general-purpose video codec aimed at resolutions from QCIF (176x144) to HDTV (1920x1080) progressive or interlaced. It uses wavelets, motion compensation and arithmetic coding and aims to be competitive with other state of the art codecs.} version 1.0.2 categories multimedia revision 0
 dvdauthor 664
 variants universal depends_build port:libdvdcss variant_desc {universal {Build for multiple architectures}} portdir multimedia/dvdauthor description {A simple set of tools to help author a DVD.} homepage http://dvdauthor.sourceforge.net/ epoch 0 name dvdauthor depends_lib {port:libdvdread port:libxml port:zlib port:libpng port:libiconv} maintainers meissnem@gmail.com long_description {A simple set of tools to help you author a DVD. The idea is to be able to create menus, buttons, chapters, etc, but for now you can just take an mpeg stream (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.} version 0.6.11 categories multimedia revision 0
 dvdrip 667
Index: dports/java/maven2/Portfile
===================================================================
--- dports/java/maven2/Portfile	(revision 46966)
+++ dports/java/maven2/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name            	maven2
-version         	2.0.9
+version         	2.0.10
 
 categories      	java devel
 maintainers     	gk5885@kickstyle.net
@@ -23,9 +23,9 @@
 distname		apache-maven-${version}-bin
 worksrcdir		apache-maven-${version}
 use_bzip2		yes
-checksums       	md5 77435fd52cc6bd8d4aee9a9242bae1df \
-			sha1 1890a33aac8f23c2a97f4858a1eb0edc13b898e9 \
-			rmd160 5687ddb796c17533e42c08ef5ac53a3fa4fa26c2
+checksums       	md5 244b216dedd433d5277e72193dffc70e \
+			sha1 d70a18bc119f60954fcf514312fe048d70996c7e \
+			rmd160 e2b292fc981298a8a3fc5d08caf390e3f484026b
 
 depends_build		bin:java:kaffe
 