Index: files/patch-configure.diff
===================================================================
--- files/patch-configure.diff	(revision 49725)
+++ files/patch-configure.diff	(working copy)
@@ -1,31 +1,31 @@
---- configure.orig	2007-07-31 06:13:08.000000000 -0600
-+++ configure	2009-03-19 00:14:33.000000000 -0600
-@@ -1357,7 +1357,6 @@
- PYTHONFRAMEWORK=`${PYTHON} -c 'from distutils import sysconfig; \
-     print sysconfig.get_config_var("PYTHONFRAMEWORK")'`
+--- configure.orig	2009-04-04 17:10:56.000000000 -0600
++++ configure	2009-04-16 17:56:18.000000000 -0600
+@@ -1792,7 +1792,6 @@
+     from distutils import sysconfig; \
+     stdout.write(sysconfig.get_config_var("PYTHONFRAMEWORK"))'`
  
 -if test "${PYTHONFRAMEWORKDIR}" = "no-framework"; then
-     LDFLAGS=`${PYTHON} -c 'import distutils.sysconfig; \
-         print "-L" + distutils.sysconfig.get_python_lib(plat_specific=1, \
-         standard_lib=1) +"/config"'`
-@@ -1367,20 +1366,6 @@
-         print sysconfig.get_config_var("LIBS")'`
- 
-     LDLIBS="${LDLIBS1} ${LDLIBS2}"
+     LDFLAGS1="-L${PYTHONLIBDIR}"
+     LDFLAGS2=`${PYTHON} -c 'from sys import stdout; \
+         import distutils.sysconfig; \
+@@ -1807,20 +1806,6 @@
+     LDLIBS3=`${PYTHON} -c 'from sys import stdout; \
+         from distutils import sysconfig; \
+         stdout.write(sysconfig.get_config_var("SYSLIBS"))'`
 -else
--    LDFLAGS1="-framework ${PYTHONFRAMEWORK}"
+-    LDFLAGS1="-F${PYTHONFRAMEWORKPREFIX} -framework ${PYTHONFRAMEWORK}"
 -
 -    VERSION="${PYTHON_VERSION}"
 -    STRING="${PYTHONFRAMEWORKDIR}/Versions/${VERSION}/${PYTHONFRAMEWORK}"
--    LDFLAGS2=`${PYTHON} -c "from distutils import sysconfig; \
--        print sysconfig.get_config_var(\"LINKFORSHARED\").replace( \
--        \"${STRING}\", '')"`
+-    LDFLAGS2=`${PYTHON} -c "from sys import stdout; \
+-        from distutils import sysconfig; \
+-        stdout.write(sysconfig.get_config_var(\"LINKFORSHARED\").replace( \
+-        \"${STRING}\", ''))"`
 -
--    LDFLAGS="${LDFLAGS1} ${LDFLAGS2}"
--
--    LDLIBS=`${PYTHON} -c 'from distutils import sysconfig; \
--        print sysconfig.get_config_var("LIBS")'`
+-    LDLIBS1=`${PYTHON} -c 'from sys import stdout; \
+-        from distutils import sysconfig; \
+-        stdout.write(sysconfig.get_config_var("LIBS"))'`
 -fi
  
- 
- 
+ CFLAGS=""
+ if test -x /usr/bin/lipo; then
Index: Portfile
===================================================================
--- Portfile	(revision 49736)
+++ Portfile	(working copy)
@@ -3,8 +3,7 @@
 PortSystem 1.0
 
 name            mod_wsgi
-version         1.1
-revision        1
+version         2.4
 categories      www python
 platforms       darwin
 maintainers     taywa.ch:ys
@@ -17,16 +16,15 @@
 
 homepage        http://www.modwsgi.org/
 master_sites    http://modwsgi.googlecode.com/files/
-checksums       md5 40b56807c8b685133fede6b59c32600f \
-                sha1 a82e79d5d429dba64ef1e0d65b502577f0434649
+checksums       md5     a2b964cc51d6ff86c38c74db5748eab5 \
+                sha1    0d108fbe3cd9b23bfd529278f2a2747dd64977fe \
+                rmd160  f0d91efe0c6b2a91031241030285ad486717c2e7
                 
-depends_lib     port:apache2 port:python24
+depends_lib     port:apache2
 
 patchfiles      patch-configure.diff
 
-configure.args \
-                --with-apxs=${prefix}/apache2/bin/apxs \
-                --with-python=${prefix}/bin/python2.4
+configure.args  --with-apxs=${prefix}/apache2/bin/apxs
 
 destroot.violate_mtree yes
 pre-destroot {
@@ -41,3 +39,23 @@
     ui_msg "#  ${prefix}/apache2/conf/httpd.conf"
     ui_msg "########################################################"
 }
+
+variant python24 conflicts python25 python26 description {Use with Python 2.4} {
+    depends_lib-append      port:python24
+    configure.args-append   --with-python=${prefix}/bin/python2.4
+}
+
+variant python25 conflicts python24 python26 description {Use with Python 2.5} {
+    depends_lib-append      port:python25
+    configure.args-append   --with-python=${prefix}/bin/python2.5
+}
+
+variant python26 conflicts python24 python25 description {Use with Python 2.6} {
+    depends_lib-append      port:python26
+    configure.args-append   --with-python=${prefix}/bin/python2.6
+}
+
+if {![variant_isset python24] && ![variant_isset python25] && ![variant_isset python26]} {
+   default_variants     +python26
+}
+