Index: databases/mysql5-devel/files/patch-Makefile.in.diff
===================================================================
--- databases/mysql5-devel/files/patch-Makefile.in.diff	(revision 61485)
+++ databases/mysql5-devel/files/patch-Makefile.in.diff	(working copy)
@@ -1,11 +1,11 @@
---- Makefile.in.orig	2009-10-06 12:57:22.000000000 -0500
-+++ Makefile.in	2009-10-22 01:36:36.000000000 -0500
+--- Makefile.in.orig	2009-09-29 02:43:52.000000000 -0500
++++ Makefile.in	2009-11-12 23:13:12.000000000 -0600
 @@ -412,7 +412,7 @@
- 			@sql_union_dirs@ unittest \
+ 			@sql_union_dirs@ unittest storage plugin \
  			@sql_server@ @man_dirs@ tests \
  			netware @libmysqld_dirs@ \
--			mysql-test support-files sql-bench @tools_dirs@ \
-+			support-files @tools_dirs@ \
+-			mysql-test support-files sql-bench \
++			support-files \
  			win
  
  DIST_SUBDIRS = . include Docs zlib \
Index: databases/mysql5-devel/Portfile
===================================================================
--- databases/mysql5-devel/Portfile	(revision 61485)
+++ databases/mysql5-devel/Portfile	(working copy)
@@ -4,8 +4,7 @@
 
 name                    mysql5-devel
 conflicts               mysql5 mysql4
-version                 5.1.40
-revision                1
+version                 5.4.3-beta
 set branch              [join [lrange [split ${version} .] 0 1] .]
 homepage                http://www.mysql.com/
 categories              databases
@@ -16,9 +15,6 @@
 dist_subdir             mysql5
 use_parallel_build      yes
 
-# http://bugs.mysql.com/bug.php?id=47360
-universal_variant       no
-
 description \
     Multithreaded SQL database server
 
@@ -31,14 +27,12 @@
     http://mysql.he.net/Downloads/MySQL-${branch}/ \
     http://mirrors.sunsite.dk/mysql/Downloads/MySQL-${branch}/ \
     http://sunsite.informatik.rwth-aachen.de/mysql/Downloads/MySQL-${branch}/ \
-    http://ftp.plusline.de/mysql/Downloads/MySQL-${branch}/ \
-    http://www.innodb.com/download/innodb_plugin/:plugin
+    http://ftp.plusline.de/mysql/Downloads/MySQL-${branch}/
 
 checksums \
-    [suffix ${distname}] \
-        md5     32e7373c16271606007374396e6742ad \
-        sha1    00b600763b4659d9e0256ea6dcce378175aa8d9e \
-        rmd160  330722fc012777c53933d6803d51a3f1b92d9892
+    md5     9ea08558d51b1d56d3784028d57c2b08 \
+    sha1    daf96fb8adcdad23afed921727fe767ff0939711 \
+    rmd160  dc191579cc429441da7d20a1f50b25754fe37ad0
 
 depends_lib \
     port:zlib \
@@ -91,37 +85,21 @@
 depends_lib-append      port:readline
 configure.args-append   --without-readline
 
-# Build libmysqld embedded server
-configure.cflags-append -fPIC
-configure.cxxflags-append -fPIC
-configure.args-append --with-embedded-server --with-pic
+variant no_embedded_server description {Don't build the libmysqld embedded server (thereby allowing a universal build)} {}
+if {![variant_isset no_embedded_server]} {
+    # Build libmysqld embedded server.
+    configure.cflags-append -fPIC
+    configure.cxxflags-append -fPIC
+    configure.args-append --with-embedded-server --with-pic
+    
+    # http://bugs.mysql.com/bug.php?id=47360
+    universal_variant no
+}
 
 post-configure {
     reinplace "s;openssl_includes = -I;openssl_includes_includes = -I${prefix}/include/openssl;" ${worksrcpath}/tests/Makefile
 }
 
-set plugin_version      1.0.4
-set plugin_distname     innodb_plugin-${plugin_version}
-set plugin_distfile     [suffix ${plugin_distname}]
-set plugin_worksrcdir   ${plugin_distname}
-set plugin_worksrcpath  ${workpath}/${plugin_worksrcdir}
-set innobase_dir        storage/innobase
-
-variant innodb_plugin description "Use the InnoDB Plugin ${plugin_version} instead of the built-in InnoDB support" {
-    distfiles-append        ${plugin_distfile}:plugin
-    
-    checksums-append \
-        ${plugin_distfile} \
-            md5     4350ba7c1520edce35635f982449efb3 \
-            sha1    c39e2a9cfa18b9f103c930d0c4a8edced81ed4ee \
-            rmd160  bd0467a10781677a7a7bb2e58ad38e0a43841d7f
-    
-    post-extract {
-        delete ${worksrcpath}/${innobase_dir}
-        move ${plugin_worksrcpath} ${worksrcpath}/${innobase_dir}
-    }
-}
-
 pre-destroot {
     xinstall -m 755 -d ${destroot}${sysconfdir}
     destroot.keepdirs-append ${destroot}${sysconfdir}
@@ -150,5 +128,6 @@
 }
 
 livecheck.type          regex
+livecheck.version       [lindex [split ${version} -] 0]
 livecheck.url           http://dev.mysql.com/
-livecheck.regex         "(5\\.1\\.\[0-9\.\]+)"
+livecheck.regex         {(5\.4\.[0-9.]+)}
Index: databases/mysql5-server-devel/Portfile
===================================================================
--- databases/mysql5-server-devel/Portfile	(revision 61508)
+++ databases/mysql5-server-devel/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem              1.0
 
 name                    mysql5-server-devel
-version                 5.1.40
+version                 5.4.3-beta
 set branch              [join [lrange [split ${version} .] 0 1] .]
 homepage                http://www.mysql.com/
 categories              databases
@@ -70,5 +70,6 @@
 }
 
 livecheck.type          regex
+livecheck.version       [lindex [split ${version} -] 0]
 livecheck.url           http://dev.mysql.com/
-livecheck.regex         "(5\\.1\\.\[0-9\.\]+)"
+livecheck.regex         {(5\.4\.[0-9.]+)}